## org.apache.ivy.util.cli
Class Option

    java.lang.Object
      org.apache.ivy.util.cli.Option

    public class Option

extends java.lang.Object

Method Summary
`java.lang.String[]` `getArgs()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`java.lang.String` `getSpec()`
`boolean` `isCountArgs()`
`boolean` `isDeprecated()`
`boolean` `isRequired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### getArgs

    public java.lang.String[] getArgs()

### getDescription

    public java.lang.String getDescription()

### isRequired

    public boolean isRequired()

### isCountArgs

    public boolean isCountArgs()

### isDeprecated

    public boolean isDeprecated()

### getSpec

    public java.lang.String getSpec()